<div class="row">
<div class="col-md-12 search-results-panel">
	<div class="search-results-info-panel sc-u-grid-gutter-y">
		<h1 class="sc-c-heading holiday-heading sc-c-heading--xl"><i class="icon-flights"></i> Your Flight <span ng-bind="flightResult.frmAirprt.split('(')[1].substring(0,3)"></span>&#8652;
			<span ng-bind="flightResult.toAirprt.split('(')[1].substring(0,3)"></span>(Return)</h1>
	</div>
	<div class="sc-o-row">
		<div class="sc-o-col-12 sc-u-grid-gutter-y">
			<div class="search-result-container">
				<!-- <div class="flight-listing">
					<div class="flight-legs-section">
						<div class="flight-leg">
							<div ng-repeat="segment in flightResult.flightSearchResults[0].segGrpList">

								<div class="flight-legs-section" ng-repeat="info in segment.segList[0].fltInfoList">
									<div class="flight-leg">
										<div class="leg-header">
											<span class="flight-date" ng-bind="info.dispEndDate"></span>
										</div>
										<div class="leg-main">
											<div class="airline-logo">
												<img class="airline-logo" src="images/Airlines/sm{{info.airline}}.png">
											</div>
											<div class="leg-itinerary">
												<div class="parts">
													<div class="part part-point part-point-departure">
														<div>
															<span class="flight-airport-code" ng-bind="info.origin.split('(')[1].substring(0,3)"></span>
															<span class="flight-time" ng-bind="info.dispStartTime"></span>
														</div>
														<div class="flight-airport-title">
															<span class="title" ng-bind="info.origin.split('(')[0]"></span>
														</div>
													</div>
													<div class="part part-journey">

														<div class="flight-duration">
															<div ng-bind="info.dispDuration"></div>
														</div>
														<div class="flight-stops-graphic">
															<div class="stops">
															</div>
														</div>
														<div class="flight-stops">
														<span ng-if="segment.segList[0].stops == 0" >Direct</span>
																<span ng-if="segment.segList[0].stops == 1" >{{segment.segList[0].stops}} Stops</span>
																<span ng-if="segment.segList[0].stops == 2" >{{segment.segList[0].stops}} Stops</span>
														</div>
													</div>

													<div class="part part-point part-point-arrival">
														<div>
															<span class="flight-time">{{info.dispArrTime}}</span>

															<span class="flight-airport-code">&nbsp;&nbsp;{{info.dest.split('(')[1].substring(0,3)}}</span>
														</div>
														<div class="flight-airport-title">
															<span class="title">{{info.dest.split('(')[0]}}</span>
														</div>
													</div>

												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
					<div class="flight-info-section">

						<a class="details-link o-icon-label o-icon-label--sm" ng-click="openFlightInfo('lg');">
							<i class="o-icon-label__icon icon-information"></i>
							<span class="o-icon-label__caption">Flight Details</span>

						</a>

						<div>

							<button type="button" class="btn btn-select btn-block" ui-sref="holidaySearchResult">
								<i class="sc-c-button__icon icon-chevron-left"></i>
								Review Your Flight
							</button>
						</div>
					</div>
				</div> -->
				
				<div class="flight-listing" ng-disabled="disabled">
						
						<div class="flight-legs-section">
						  
						<div class="flight-leg ng-scope" ng-repeat="segment in flightResult.flightSearchResults[0].segGrpList">	     	 
                                    <div class="leg-header" style="font-size:14px;" ng-repeat="segLists in segment.segList ">	 		
                                   		<div ng-repeat="info in segLists.fltInfoList | limitTo:1">					
                                        <span class="flight-date h-flight-date ng-binding">{{info.dispStartDate}}</span>		 
                                        </div>
                                    </div> 	
                                    <div class="leg-main">   
                                        <div class="airline-logo holiday-airlogo">
                                            <img class="airline-logo " src="images/Airlines/sm{{flightResult.flightSearchResults[0].outboundFilter.airlineCode}}.png">		
                                        </div>
                                        <div class="airline-name holiday-name">
                                             <p>{{segment.segList[0].airlineName}}</p>
                                    </div>
                                        <div class="leg-itinerary" ng-repeat="segLists in segment.segList">	  	    
                                            <div class="parts"> 
                                                <div class="part part-point part-point-departure">
												<div class="text-right">
                                                    <div>
                                                       <span class="flight-time ng-binding">{{segLists.startTime}}</span>	
                                                    </div>
                                                    <div class="flight-airport-title">	 
                                                        <p class="title ng-binding" ng-modal="flightresult.origin">{{segLists.origin.split(',')[0]}}</p>	  	
                                                        <p class="title ng-binding" ng-modal="flightresult.origin">{{segLists.origin.split(',')[1]}}</p>	  	
                                                        	
                                                    </div>
													</div>
                                                </div>
                                                <div class="part part-journey">
                                                     <div class="flight-duration ng-binding">
                                                        {{segLists.dispTotFlyDuration}}	  
                                                    </div>
                                                    <div class="flight-stops-graphic">
                                                        <div class="stops">
                                                        </div>
                                                    </div>
                                                    <div class="flight-stops">
                                                        <span class="ng-binding" ng-if="segLists.stops==1">{{segLists.stops}} Stop</span>		       		 
                                                        <span class="ng-binding" ng-if="segLists.stops >1">{{segLists.stops}} Stops</span>		  
                                                        <span class="ng-binding" ng-if="segLists.stops ==0"> Direct</span>	 			
                                                    </div>
                                                </div>
                                                <div class="part part-point part-point-arrival">
                                                    <div>	 
                                                        <span class="flight-time ng-binding">{{segLists.arrivalTime}}</span>
                                                       </div>	
                                                    <div class="flight-airport-title">
														<p class="title ng-binding">{{segLists.dest.split(',')[0]}}</p>
														<p class="title ng-binding">{{segLists.dest.split(',')[1]}}</p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
									
                                </div>
                                 </div> 
                                <div class="flight-info-section">
                                <a class="details-link o-icon-label o-icon-label--sm" ng-click="openFlightInfo('lg');">
                                    <i class="o-icon-label__icon icon-information"></i>

                                    <span class="o-icon-label__caption">Flight Details</span>
                                    
                                </a>

                                <div>
                                    <div class="pricing-block sc-c-price-block">
										
									
										<br>
										
                                        <div class="sc-c-price-block__caption">
                                           <span ng-show="flightResult.srchType == 2"> Return Flight</span>
										   <span ng-show="flightResult.srchType == 1"> One-Way Flight</span>
                                        </div>
                                        <span class="sc-c-price-block__amount">
										
										<!-- <div ng-show="flightResult.flightSearchResults[0].oldGrandTotal - flightResult.flightSearchResults[0].grndTotal != '0'">
										 <span>{{currency}} {{flightResult.flightSearchResults[0].oldGrandTotal}}</span>
											<div id="hr"></div><br/>
											<div>
												<span class="promoSave">Your's Saving {{currency}} {{flightResult.flightSearchResults[0].oldGrandTotal - flightResult.flightSearchResults[0].grndTotal}}</span>
												</div>
											</div> -->
											<span>{{currency}} {{flightResult.flightSearchResults[0].grndTotal|number:3}}</span>
                                           <!-- <span ng-bind="currency"></span> &nbsp;<span ng-bind="flightFare|number:3"></span> -->
                                            <!-- <span>{{currency}} {{AllFare+insuranceTotalFare|number:3}}</span> -->
											
											
                                        </span>
                                        <div class="sc-c-price-block__legend" style="margin-top:2px"><span class="fare-info">Total Fare</span>
													<a>
															<i class="o-icon-label__icon icon-information h-label-details" ng-click="openFareInfo('lg',any,$index)"  style="top:0px !important;"></i>
														</a>
												
										</div>
                                    </div>
                                     <button type="button" class="btn btn-select btn-block" ng-click="goBack('/holidaySearchResult')">
                                        <i class="sc-c-button__icon icon-chevron-left"></i>
                                        Review Your Flight
                                    </button>
										
                                </div>
                            </div>
                               
                            </div>
				
			</div>
		</div>
	</div>
</div>
</div>
<!-- <script type="text/ng-template" id="flightInfo.html"> -->
<!-- <div class="modal-header"> -->
<!-- <h3 class="modal-title" id="modal-title">Flight Details</h3> -->
<!-- </div> -->

<!-- <div class="modal-body"> -->
<!-- <div class="sc-o-row"> -->
<!-- <div class="sc-o-col-12 sc-u-grid-gutter-y"> -->
<!-- <div class="search-result-container flight-details"> -->
<!-- <div class="flight-listing"> -->
<!-- <div class="flight-legs-section"> -->
<!-- <div ng-repeat="segment in flightsearchResdetails.segGrpList"> -->
<!-- <div ng-repeat="segmentList in segment.segList"> -->
<!-- <div ng-repeat="info in segmentList.fltInfoList"> -->
<!-- <div class="flight-leg"> -->
<!-- <div class="leg-header"> -->
<!-- <span class="flight-date"></span> -->
<!-- </div> -->
<!-- <div class="leg-main"> -->
<!-- <div class="airline-logo"> -->
<!-- <img src="images/Airlines/sm{{info.airline}}.png"> -->
<!-- <p ng-bind="info.fltNum"></p> -->

<!-- </div> -->
<!-- <div class="leg-itinerary"> -->
<!-- <div class="parts"> -->
<!-- <div class="part part-point part-point-departure"> -->
<!-- <div class="flight-airport-title"> -->
<!-- <span class="flight-time" ng-bind="info.dispStartTime"></span> -->
<!-- </div> -->
<!-- <div class="flight-airport-title"> -->
<!-- <span class="flight-time" ng-bind="info.dispArrTime"></span> -->

<!-- </div> -->
<!-- </div> -->
<!-- <div class="part part-journey"> -->

<!-- <div class="flight-duration"> -->
<!-- <span class="flight-airport-code" ng-bind="info.origin.split('(')[1].substring(0,3)"></span> -->
<!-- <span class="title" ng-bind="info.origin.split('(')[0]"></span> -->

<!-- </div> -->

<!-- <div class="flight-stops"> -->
<!-- <span class="flight-airport-code" ng-bind="info.dest.split('(')[1].substring(0,3)"></span> -->
<!-- <span class="title" ng-bind="info.dest.split('(')[1].substring(0,3)"></span> -->
<!-- </div> -->
<!-- </div> -->
<!-- <div class="part part-point part-point-arrival"> -->
<!-- <div class="route-circle top"></div> -->
<!-- <div class="route-circle bottom"></div> -->
<!-- <span class="duration">{{flight.fromFlight.duration}}</span> -->
<!-- </div> -->
<!-- </div> -->
<!-- </div> -->

<!-- </div> -->
<!-- <div class="leg-footer"> -->
<!-- <p class="pull-left">Arrives: <strong ng-bind="info.dispEndDate"></strong></p> -->
<!-- <p class="pull-right">Jouney Duration: <strong  ng-bind="info.dispDuration"></strong></p> -->
<!-- <div class="clearfix"></div> -->
<!-- </div> -->
<!-- </div> -->
<!-- </div> -->
<!-- </div> -->
<!-- </div> -->

<!-- </div> -->
<!-- </div> -->
<!-- </div> -->

<!-- </div> -->
<!-- </div> -->
<!-- </div> -->

<!-- <div class="modal-footer"> -->
<!-- <button class="applyBtn btn btn-select" type="button" ng-click="cancel()">Discard</button> -->
<!-- </div> -->

<!-- </script> -->
<script type="text/ng-template" id="flightInfo.html">
		<div class="modal-header">
		<h3 class="modal-title" id="modal-title">
		Flight Details 
	</h3>
<button type="button" class="close" data-dismiss="modal" aria-hidden="true" ng-click="cancel();">&times;</button>	
</div>  
<div class="modal-body"> 
	<div class="sc-o-row">  
		<div class="sc-o-col-12 sc-u-grid-gutter-y ">

			<div class="search-result-container flight-details ">	

					<div class="flight-listing-popup flight-leg flight-listing"	     
						ng-repeat="(in,segment) in flightDetails1.segGrpList">

	     	     	      	          	   
						<div ng-repeat="(x,segmentList) in segment.segList">		     
							<div ng-repeat="(key,info) in segmentList.fltInfoList"> 
 
								<!-- <div class="flight-leg-header">
									<span class="flight-date">Departure {{info.dispStartDate}}</span>
								</div> -->
								<div class="flight-leg-header" ng-show="key==0">                                                                                               
         <span class="flight-date">Departure  {{info.dispStartDate}}</span>
        </div>
								<table class="flight-leg-breakdown">
									<tbody>
										<tr class="row-depart"> 
											<td class="col-airline" rowspan="2"> 
												<div class="airline-logo"> 
													<img src="images/Airlines/sm{{info.airline}}.png">
												</div> <!----> 
												<div class="flight-number">{{info.airline}}{{info.fltNum}}</div>	  
												<!---->
												<div class="segment-cabin">{{cabinClass}}</div>
											</td>
											<td class="col-time"><span class="flight-time">{{info.dispStartTime}}</span>
											</td>
											<td class="col-airport">
												<div class="flight-airport">
													<span class="flight-airport-code">{{info.origin.split('(')[1].substring(0,3)}}</span>
													<span class="title">{{info.origin}}</span>
												</div>
											</td>
											<td class="col-leg-icon" rowspan="2">	     
												<div class="part part-point part-point-arrival">
													<div class="route-circle top"></div>
													<div class="route-circle bottom"></div>
													<span class="duration">{{flight.fromFlight.duration}}</span>
												</div>
											</td>   
											<td class="col-duration" rowspan="2">
												<div class="flight-duration">{{info.dispDuration}}</div>
											</td>	  
										</tr>

										<tr class="row-arrive">
											<td class="col-time"><span class="flight-time">{{info.dispArrTime}}</span>
												<!----></td>
											<td class="col-airport">
												<div class="flight-airport">
													<span class="flight-airport-code">{{info.dest.split('(')[1].substring(0,3)}}</span>
													<span class="title">{{info.dest}}</span>
												</div>
											</td>
										</tr>

										<tr class="row-connection" ng-show="segmentList.fltInfoList.length!=(key+1)"> 

											<td class="col-airline"></td> 
											<td class="col-time"></td>  
											<td class="col-airport">
												<div class="connection-message">	      	 		 	      
													<span>Waiting in airport </span>	  	  
												</div>    	 
											</td>   	 
											<td class="col-leg-icon">			
												<div class="dots">		
													<div class="dot"></div>	  
													<div class="dot"></div>	   
													<div class="dot"></div> 
												</div>  
											</td>	        
 											<td class="col-duration" ng-init="getWaitingDuration(segmentList.fltInfoList[key].rawArrivalDate,segmentList.fltInfoList[key+1].rawDeptDate,in,x,key)"> 	 	      	     
												<div class="flight-duration"   ng-bind="waitingDuration[{{in}}{{x}}{{key}}]">	 	 				 
		 									</div>	  	 	  	  	          
											</td>  
										</tr>     
									</tbody>             
								 	<tfoot class="tfoot" ng-show="segmentList.fltInfoList.length ==(key+1)"> 	      	  	  	 	  			     	      	  	  
										<tr> 
											 <td colspan="2" class="col-date" id="arrivelfontchange">Arrives on <span 
												class="flight-date">{{info.dispEndDate}}</span>	     
											</td>       
										</tr>
									</tfoot>  
								</table>
							</div>
						</div>
					</div>
			</div>
			
		</div>
	</div>
</div>
<div class="modal-footer">
	
	<button type="button" class="applyBtn btn btn-primary" ng-click="cancel();">Return</button>
</div>
</script>